<?php
/**
 * The Banner Slider Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$banners = $this->parse_group($ninedok_modern_banners);

if ( empty($banners) ) {
	return '';
}

if ( !$cs_swiper_custom_options ) {
	$speed  = 1000;
	$effect = 'fade';
	$loop   = false;
}


$this->generate_css();
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-banner-slider');
$this->add_render_attribute('wrapper', 'class', 'aheto-banner-slider--ninedok-modern');

/**
 * Set carousel params
 */
$carousel_default_params = [
	'speed' => 1000,
]; // will use when not chosen option 'Change slider params'

$carousel_params = Helper::get_carousel_params($atts, 'cs_swiper_', $carousel_default_params);

/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/banner-slider/';
wp_enqueue_style('ninedok-banner-slider-modern', $sc_dir . 'assets/css/cs_layout1.css', null, null);
wp_enqueue_script( 'ninedok-banner-slider-modern-js', $sc_dir . 'assets/js/cs_layout1.min.js', array( 'jquery' ), null );

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>
	<div class="swiper">
		<div class="swiper-container swiper_aheto_diff_slider" <?php echo esc_attr($carousel_params); ?> data-progress-move="1">
			<div class="swiper-wrapper">
				<?php foreach ( $banners as $banner ) :
					$banner = wp_parse_args($banner, [
						'cs_image'         => '',
						'cs_add_image'         => '',
						'cs_title'         => '',
						'cs_desc'          => '',
						'cs_align'         => '',
                        'cs_text_tag' => 'div'
					]);
					extract($banner);

					if ( !$cs_image ) {
						continue;
					}
					$background_image = Helper::get_background_attachment($cs_image, $image_size, $atts, ''); ?>

					<div class="swiper-slide">
						<div class="aheto-banner-slider-wrap cs-full-min-height-js <?php echo esc_attr($cs_align); ?>" <?php echo esc_attr($background_image); ?>>

							<div class="aheto-banner-slider__overlay"></div>
							<div class="aheto-banner-slider__content">
								<?php if ( $cs_add_image ) { ?>
									<?php echo Helper::get_attachment( $cs_add_image,  ['class' => 'aheto-banner-slider__add-image'], $cs_image_size, $atts, 'cs_' ); ?>
								<?php }
								if (!empty($cs_subtitle) ) { ?>
									<p class="aheto-banner__subtitle"><?php echo wp_kses($cs_subtitle, 'post'); ?></p>
								<?php }
								if (!empty($cs_title)) {
								    echo '<' . $cs_text_tag . ' class="aheto-banner__title">' .  wp_kses($cs_title, 'post') . '</' . $cs_text_tag . '>';

								 }

								if ( !empty($cs_desc) ) { ?>
									<h5 class="aheto-banner-slider__desc"><?php echo wp_kses($cs_desc, 'post'); ?></h5>
								<?php } ?>

							</div>
						</div>
					</div>
				<?php endforeach; ?>
			</div>
		</div>
		<?php $this->swiper_arrow('cs_swiper_'); ?>
	</div>
</div>
