<?php
/**
 * The Blockquote Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract( $atts );


$blockquote = $this->parse_group($ninedok_modern_blockquote);

if ( empty($blockquote) ) {
	return '';
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-quote--ninedok' );
$this->add_render_attribute( 'blockqoute', 'class', 'aheto-quote' );
$this->add_render_attribute( 'blockqoute', 'class', 'aheto-quote--ninedok-simple' );
$this->add_render_attribute( 'blockqoute', 'class', $cs_align );

if (isset($icon_position) && $icon_position) {
	$this->add_render_attribute('blockqoute', 'class', $icon_position);
	$this->add_render_attribute('blockqoute', 'class', $icon_size);
}

/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/blockquote/';
wp_enqueue_style('ninedok-blockquote', $sc_dir . 'assets/css/cs_layout1.css', null, null);

?>
<div <?php $this->render_attribute_string( 'wrapper' ); ?>>
	<div class="aheto-quote-container">
		<?php foreach ( $blockquote as $item ) { ?>

			<blockquote <?php $this->render_attribute_string( 'blockqoute' ); ?>>

				<?php
				// Cite.
				if ( isset( $item['cs_author'] ) && !empty($item['cs_author']) ) {
					echo '<cite class="aheto-quote__author">' . wp_kses( $item['cs_author'], 'post' ) . '</cite>';
				}

				// Qoute.
				$qoute_tag = isset($qoute_tag) && !empty($qoute_tag) ? $qoute_tag : 'h1';
				echo '<' . $qoute_tag . ' class="aheto-quote__text">' . wp_kses( $item['cs_qoute'], 'post' ) . '</' . $qoute_tag . '>';

				// Author.
				if ( isset( $item['cs_date'] ) && !empty($item['cs_date'])  ) {
					echo '<p class="aheto-quote__date">' . wp_kses( $item['cs_date'], 'post'  ) . '</p>';
				}
				?>

			</blockquote>

		<?php } ?>
	</div>
	<?php if(!empty($cs_bg_text)){ ?>
		<div class="aheto-quote__bg-text"><?php echo esc_html($cs_bg_text); ?></div>
	<?php } ?>
</div>
