<?php
/**
 * The Features Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$this->generate_css();

// Wrapper.
//$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', 'widget widget_aheto');
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

// Block Wrapper.
$this->add_render_attribute('block_wrapper', 'class', 'aheto-content--ninedok-classic');

// Button.
$button = $this->get_button_attributes('link');

/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/features-single/';
wp_enqueue_style('ninedok-features-single-classic', $sc_dir . 'assets/css/cs_layout3.css', null, null);

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div <?php $this->render_attribute_string('block_wrapper'); ?>>
		<div class="aheto-content-block__wrap <?php echo esc_attr($cs_align); ?>">

			<?php if ( $s_image ) : ?>
            <div class="aheto-content-block__image-wrap">
				<div class="aheto-content-block__image">
					<?php echo \Aheto\Helper::get_attachment( $s_image, array(), $cs_image_size, $atts, 'cs_'); ?>
				</div>
            </div>
			<?php endif; ?>

			<?php if ( $s_heading ) : ?>
				<h5 class="aheto-content-block__title"><?php echo esc_html($s_heading); ?></h5>
			<?php endif; ?>

			<div class="aheto-content-block__info">
				<?php if ( $s_description ) : ?>
					<p class="aheto-content-block__info-text">
						<?php echo wp_kses($s_description, 'post'); ?>
					</p>
				<?php endif; ?>
			</div>

			<?php if ( $cs_add_button ) : ?>
				<div class="aheto-content-block__link">
					<?php echo \Aheto\Helper::get_button($this, $atts, 'cs_'); ?>
				</div>
			<?php endif; ?>



		</div>

	</div>

</div>
