<?php
/**
 * The Heading Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract( $atts );

$this->generate_css();


// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-heading' );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-heading--ninedok__simple' );
$this->add_render_attribute( 'wrapper', 'class', $alignment );
$this->add_render_attribute( 'wrapper', 'class', 'align-mob-' . $align_mobile );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );

$animation = isset( $title_animation ) && !empty( $title_animation );

/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/heading/';
wp_enqueue_style( 'ninedok-heading-simple', $sc_dir . 'assets/css/cs_layout1.css', null, null );

?>

<div <?php $this->render_attribute_string( 'wrapper' ); ?>>

    <?php
    // Heading.
    $heading = $this->get_heading();

	if ( $cs_subtitle ) { ?>
		<p class="aheto-heading__subtitle"><?php echo wp_kses($cs_subtitle, 'post'); ?></p>
	<?php }

    if ( $heading ) {
        echo '<' . $text_tag . ' class="aheto-heading__title">' . $this->highlight_text( $heading, $animation ) . '</' . $text_tag . '>';
    }


    if ( $cs_description ) {
        echo '<' . $cs_desk_tag . ' class="aheto-heading__description">' . wp_kses( $cs_description, 'post' ) . '</' . $cs_desk_tag . '>';
    }


    ?>

</div>
