<?php
/**
 * The Pricing Tables Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract( $atts );
$this->generate_css();

//Active
$cs_active = $cs_active ? 'aheto-pricing__active' : '';

// Wrapper.
//$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-pricing aheto-pricing--ninedok-narrow' );
$this->add_render_attribute( 'wrapper', 'class', $cs_active );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );


$cs_heading = str_replace( ']]', '</span>', $cs_heading );
$cs_heading = str_replace( '[[', '<span>', $cs_heading );


// Button Link.
$link = $this->get_button_attributes( 'link' );

/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/pricing-tables/';
wp_enqueue_style('ninedok-pricing-tables-narrow', $sc_dir . 'assets/css/cs_layout3.css', null, null);

?>
<div <?php $this->render_attribute_string( 'wrapper' ); ?>>

	<div class="aheto-pricing__header">

		<?php
		// Heading.
		if ( $cs_heading ) {
			echo '<h5 class="aheto-pricing__title">' . wp_kses( $cs_heading, 'post' ) . '</h5>';
		}
		?>
	</div>

    <div class="aheto-pricing__cost">
        <?php
        // Price.
        if ( $price ) {
            echo '<div class="aheto-pricing__cost-value">' . esc_html( $price ) . '</div>';
        }

        if ( $description ) {
            echo '<h5 class="aheto-pricing__cost-time">' . '' . wp_kses( $description, 'post' ) . '</h5>';
        }
        ?>
    </div>

	<div class="aheto-pricing__content">

		<?php
		$cs_features = $this->parse_group( $cs_features );
		if ( ! empty( $cs_features ) ) { ?>

			<div class="aheto-pricing__list">

			<?php foreach ( $cs_features as $item ) { ?>
                <div class="aheto-pricing__list-item-wrap">
                    <h6 class="aheto-pricing__list-item <?php echo esc_html( $item['mark'] ); ?>"><?php echo wp_kses_post( $item['feature'] ); ?></h6>
                </div>
			<?php } ?>

			</div>
		<?php }

		// Button Link.
		if ( $cs_narrow_add_button ) { ?>
			<div class="aheto-pricing__link">
				<?php echo \Aheto\Helper::get_button($this, $atts, 'cs_narrow_'); ?>
			</div>
		<?php }
		?>

	</div>

</div>
