<?php
/**
 * The Progress Bar Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$this->generate_css();
// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-progress' );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-progress--ninedok-modern' );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );


/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/progress-bar/';
wp_enqueue_style( 'ninedok-progress-bar-numbers', $sc_dir . 'assets/css/cs_layout2.css', null, null );
?>

<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div class="aheto-progress aheto-progress--bar">

		<?php if ( $cs_s_image ) : ?>
			<div class="aheto-progress__image-wrap">
				<div class="aheto-progress__image">
					<?php echo \Aheto\Helper::get_attachment( $cs_s_image, array(), $cs_image_size, $atts, 'cs_' ); ?>
				</div>
			</div>
		<?php endif; ?>


		<?php
		// Percentage.
		if ( $percentage ) {
			echo '<h6 class="aheto-counter__number js-counter">' . absint( $percentage ) . '</h6>';
		}

		// Heading.
		if ( $heading ) {
			echo '<' . $cs_heading_tag . ' class="aheto-counter__heading">' . wp_kses($heading, 'post') . '</' . $cs_heading_tag . '>';
		}
		?>




	</div>

</div>
