<?php
/**
 * Archive Template
 */

$count = isset( $posts->found_posts ) && ! empty( $posts->found_posts ) ? $posts->found_posts : '0';
$count_text = $count == '1' ? esc_html__( 'result found', 'ninedok' ) : esc_html__( 'results found', 'ninedok' );

$ninedok_img = '';
$ninedok_background_image = '';

if (function_exists('aheto')) {
    $ninedok_shop_image = Aheto\Helper::get_settings('theme-options.ninedok_blog_image');
    $ninedok_background_image = isset($ninedok_shop_image) && !empty($ninedok_shop_image) ? "style=background-image:url(" . $ninedok_shop_image . ")" : '';
    $ninedok_img = isset($ninedok_shop_image) && !empty($ninedok_shop_image) ? 'with-image' : '';
}

get_header(); ?>
    <div class="ninedok-blog--banner <?php echo esc_attr($ninedok_img); ?>" <?php echo esc_attr($ninedok_background_image); ?>>
		<?php if ( is_search() ) { ?>
            <div class="ninedok-blog--banner__title-wrap">
                <h1 class="ninedok-blog--banner__title"><?php esc_html_e( 'Showing results for ', 'ninedok' ); ?>
                    <span>"<?php echo esc_html( $term ); ?>"</span></h1>
                <div class="ninedok-blog--banner__count-results"><?php echo esc_html( $count . ' ' . $count_text ); ?></div>
            </div>
		<?php } else { ?>
            <div class="ninedok-blog--banner__title-wrap">
                <h1 class="ninedok-blog--banner__title"><?php esc_html_e( 'Blog', 'ninedok' ); ?></h1>
            </div>
		<?php } ?>
    </div>

<?php

if ( have_posts() ) :
	get_template_part( 'template-parts/blog', 'list-category' );
	wp_enqueue_style( 'ninedok-blog-list', NINE_DOK_T_URI . '/assets/css/blog/blog-list.css' );

else : ?>
    <div class="ninedok-blog--search-page">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h3 class="ninedok-blog--search-page__title"><?php esc_html_e( 'Sorry, no posts matched your criteria.', 'ninedok' ); ?></h3>
                    <div class="ninedok-blog--search-page__search-form">
						<?php get_search_form( true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif;

get_footer();
