<?php
use Aheto\Helper;
use Aheto\Sanitize;

add_action( 'aheto_before_aheto_navbar_register', 'ninedok_navbar_shortcode' );
add_action( 'aheto_before_aheto_heading_register', 'ninedok_heading_shortcode' );
add_action( 'aheto_before_aheto_features-single_register', 'ninedok_features_single_shortcode' );
add_action( 'aheto_before_aheto_custom-post-types_register', 'ninedok_custom_post_types_shortcode' );
add_action( 'aheto_before_aheto_contact-forms_register', 'ninedok_contact_forms_shortcode' );
add_action( 'aheto_before_aheto_contacts_register', 'ninedok_contacts_shortcode' );
add_action( 'aheto_before_aheto_navigation_register', 'ninedok_navigation_shortcode' );
add_action( 'aheto_before_aheto_banner-slider_register', 'ninedok_banner_slider_shortcode' );
add_action( 'aheto_before_aheto_pricing-tables_register', 'ninedok_pricing_tables_shortcode' );
add_action( 'aheto_before_aheto_progress-bar_register', 'ninedok_progress_bar_shortcode' );
add_action( 'aheto_before_aheto_video-btn_register', 'ninedok_video_btn_shortcode' );
add_action( 'aheto_before_aheto_social-networks_register', 'ninedok_social_networks_shortcode' );
add_action( 'aheto_before_aheto_testimonials_register', 'ninedok_testimonials_shortcode' );
add_action( 'aheto_before_aheto_contents_register', 'ninedok_contents_shortcode' );
add_action( 'aheto_before_aheto_team-member_register', 'ninedok_team_member_shortcode' );
add_action( 'aheto_before_aheto_blockquote_register', 'ninedok_blockquote_shortcode' );
add_action( 'aheto_before_aheto_list_register', 'ninedok_list_shortcode' );


/**
 * Navigation Shortcode
 */
function ninedok_navigation_shortcode( $shortcode ) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/navigation/previews/';
	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok main', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	ninedok_add_dependency(['type_logo', 'logo', 'text_logo'], ['cs_layout1'], $shortcode);
	ninedok_add_dependency('mob_logo', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('transparent', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('label_logo', ['cs_layout1'], $shortcode);
	ninedok_add_dependency(['add_mob_scroll_logo', 'scroll_mob_logo'], ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy( 'cs_use_label', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_label', 'cs_use_label', 'true' );
	$shortcode->add_dependecy( 'cs_use_mega_menu_title', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_mega_menu_title', 'cs_use_mega_menu_title', 'true' );
	$shortcode->add_dependecy( 'cs_use_mega_menu_link', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_mega_menu_link', 'cs_use_mega_menu_link', 'true' );
	$shortcode->add_dependecy( 'cs_use_menu_link', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_menu_link', 'cs_use_menu_link', 'true' );

	$shortcode->add_params( [
		'cs_use_label'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for label?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_label'       => [
			'type'     => 'typography',
			'group'    => 'Label Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .main-header__logo-label',
		],
		'cs_use_mega_menu_title'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Mega menu title?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_mega_menu_title'       => [
			'type'     => 'typography',
			'group'    => 'Mega Menu Title Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .mega-menu__title',
		],
		'cs_use_mega_menu_link'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for submenu link?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_mega_menu_link'       => [
			'type'     => 'typography',
			'group'    => 'Submenu Link Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} ul li ul a',
		],
		'cs_use_menu_link'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for menu link?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_menu_link'       => [
			'type'     => 'typography',
			'group'    => 'Menu Link Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .main-menu > li > a',
		],
	] );


	\Aheto\Params::add_button_params($shortcode, [
		'add_button' => true,
		'prefix' => 'cs_main_',
		'group'   => 'Desktop buttons',
		'icons'      => true,
		'dependency' => ['template', ['cs_layout1']]
	]);
	\Aheto\Params::add_button_params($shortcode, [
		'add_button' => true,
		'prefix' => 'cs_main_mob_',
		'group'   => 'Mobile Buttons',
		'icons'      => true,
		'dependency' => ['template', ['cs_layout1']]
	]);
}
function ninedok_navigation_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_label'] ) && ! empty( $shortcode->atts['cs_t_label'] ) ) {
		\aheto_add_props( $css['global']['%1$s .cs_t_label'], $shortcode->parse_typography( $shortcode->atts['cs_t_label'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_mega_menu_title'] ) && ! empty( $shortcode->atts['cs_t_mega_menu_title'] ) ) {
		\aheto_add_props( $css['global']['%1$s .mega-menu__title'], $shortcode->parse_typography( $shortcode->atts['cs_t_mega_menu_title'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_mega_menu_link'] ) && ! empty( $shortcode->atts['cs_t_mega_menu_link'] ) ) {
		\aheto_add_props( $css['global']['%1$s ul li ul a'], $shortcode->parse_typography( $shortcode->atts['cs_t_mega_menu_link'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_mega_menu_link'] ) && ! empty( $shortcode->atts['cs_t_mega_menu_link'] ) ) {
		\aheto_add_props( $css['global']['%1$s ul li ul a'], $shortcode->parse_typography( $shortcode->atts['cs_t_mega_menu_link'] ) );
	}
	return $css;
}

add_filter( 'aheto_navigation_dynamic_css', 'ninedok_navigation_shortcode_dynamic_css', 10, 2 );

/**
 * Blockquote Shortcode
 */
function ninedok_blockquote_shortcode( $shortcode ) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/blockquote/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok simple', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'ninedok_modern_blockquote', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_bg_text', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_quote', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_quote', 'cs_use_quote', 'true' );
	$shortcode->add_dependecy( 'cs_use_banner_text', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_banner_text', 'cs_use_banner_text', 'true' );
	$shortcode->add_dependecy( 'cs_align', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_size', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_color', 'template', 'cs_layout1' );

	ninedok_add_dependency('qoute_tag', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('use_author', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('quote_spacing', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('t_author', ['cs_layout1'], $shortcode);



	$shortcode->add_params( [
		'ninedok_modern_blockquote'   => [
			'type'    => 'group',
			'heading' => esc_html__('Table Lists', 'ninedok'),
			'params'  => [
				'cs_qoute'      => [
					'type'    => 'textarea',
					'heading' => esc_html__('Quote', 'ninedok'),
				],
				'cs_date' => [
					'type'     => 'text',
					'group'    => 'Content',
					'heading' => esc_html__( 'Date', 'ninedok' ),
				],
				'cs_author'     => [
					'type'    => 'text',
					'heading' => esc_html__('Author', 'ninedok'),
					'grid'    => 6,
				],
			],
		],
		'cs_bg_text'      => [
			'type'    => 'text',
			'heading' => esc_html__( 'Background text', 'ninedok' ),
			'default' => esc_html__( 'THEY SAY', 'ninedok' ),
		],
		'cs_use_quote'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for qoute?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_quote'       => [
			'type'     => 'typography',
			'group'    => 'Qoute Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-quote',
		],
		'cs_use_banner_text'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Banner text?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_banner_text'       => [
			'type'     => 'typography',
			'group'    => 'Banner text Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-quote__bg-text',
		],
		'cs_align' => [
			'type'    => 'select',
			'heading' => esc_html__('Align', 'ninedok'),
			'options' => Helper::choices_alignment(),
		],
		'cs_size'     => [
			'type'      => 'text',
			'heading'   => esc_html__( 'Size icon', 'ninedok' ),
			'grid'      => 6,
			'selectors' => [ '{{WRAPPER}} .aheto-quote:before' => 'font-size: {{VALUE}}px' ],
			'description' => esc_html__( 'Set font size for icons. (Just write the number)', 'aheto' ),
		],
		'cs_color'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Color icon', 'ninedok' ),
			'grid'      => 6,
			'selectors' => [
				'{{WRAPPER}} .aheto-quote:before' => 'color: {{VALUE}}'
			],
		],

	] );
}
function ninedok_blockquote_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_quote'] ) && ! empty( $shortcode->atts['cs_t_quote'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-quote'], $shortcode->parse_typography( $shortcode->atts['cs_t_quote'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_banner_text'] ) && ! empty( $shortcode->atts['cs_t_banner_text'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-quote__bg-text'], $shortcode->parse_typography( $shortcode->atts['cs_use_banner_text'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_size'] ) ) {
		$size = Sanitize::size( $shortcode->atts['cs_size'] );
		$css['global']['%1$s .aheto-quote:before']['size'] = $size;
	}
	if ( ! empty( $shortcode->atts['cs_color'] ) ) {
		$color = Sanitize::color( $shortcode->atts['cs_color'] );
		$css['global']['%1$s .aheto-quote:before']['color'] = $color;
	}

	return $css;
}

add_filter( 'aheto_blockquote_dynamic_css', 'ninedok_blockquote_shortcode_dynamic_css', 10, 2 );

/**
 * Heading Shortcode
 */
function ninedok_heading_shortcode( $shortcode ) {

	$theme_dir = NINE_DOK_T_URI . '/aheto/heading/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Simple', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'cs_subtitle', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_subtitle_tag', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_subtitle_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_align_mobile', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_subtitle_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_subtitle_typo', 'cs_use_subtitle_typo', 'true' );
	$shortcode->add_dependecy( 'cs_description', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_description_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_description_typo', 'cs_use_description_typo', 'true' );
	$shortcode->add_dependecy( 'cs_desc_max_width', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'title_animation', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_desk_tag', 'template', 'cs_layout1' );

	ninedok_add_dependency('alignment', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('heading', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('text_tag', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('use_typo', ['cs_layout1'], $shortcode);
	ninedok_add_dependency( 'text_typo', [ 'cs_layout1' ], $shortcode );



	$shortcode->add_params( [
		'cs_subtitle'          => [
			'type'        => 'textarea',
			'heading'     => esc_html__( 'Subtitle', 'ninedok' ),
			'description' => esc_html__( 'Add some text for Subtitle', 'ninedok' ),
			'admin_label' => true,
			'default'     => esc_html__( 'Add some text for Subtitle', 'ninedok' ),
		],
		'cs_desk_tag'      => [
			'type'    => 'select',
			'heading' => esc_html__( 'Element tag for Description', 'ninedok' ),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'p',
			'grid'    => 5,
		],
		'cs_use_subtitle_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for Subtitle?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_subtitle_typo' => [
			'type'     => 'typography',
			'group'    => 'Subtitle Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__subtitle',
		],
		'cs_use_description_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for Description?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_description_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__description',
		],
		'cs_description'          => [
			'type'        => 'textarea',
			'heading'     => esc_html__( 'Description', 'ninedok' ),
			'description' => esc_html__( 'Add some text for Description', 'ninedok' ),
			'admin_label' => true,
			'default'     => esc_html__( 'Add some text for Description', 'ninedok' ),
		],
		'cs_desc_max_width'     => [
			'type'      => 'slider',
			'heading'   => esc_html__('Description Max width', 'ninedok'),
			'group'     => esc_html__('Content', 'ninedok'),
			'grid'      => 6,
			'range'     => [
				'px' => [
					'min'  => 10,
					'max'  => 1920,
					'step' => 5,
				],
			],
			'selectors' => [
				'{{WRAPPER}} .aheto-heading__description' => 'max-width: {{SIZE}}{{UNIT}}; margin-left: auto; margin-right: auto;',
			],
		],

	] );
}

function ninedok_heading_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_subtitle_typo'] ) && ! empty( $shortcode->atts['cs_subtitle_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-heading__subtitle'], $shortcode->parse_typography( $shortcode->atts['cs_subtitle_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_description_typo'] ) && ! empty( $shortcode->atts['cs_description_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-heading__description'], $shortcode->parse_typography( $shortcode->atts['cs_description_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_desc_max_width'] ) ) {
		$css['global']['%1$s .aheto-heading__description']['max-width'] = Sanitize::size( $shortcode->atts['cs_desc_max_width'] );
		$css['global']['%1$s .aheto-heading__description']['margin-left']  = 'auto';
		$css['global']['%1$s .aheto-heading__description']['margin-right'] = 'auto';
	}

	return $css;
}

add_filter( 'aheto_heading_dynamic_css', 'ninedok_heading_shortcode_dynamic_css', 10, 2 );

/**
 *  Button Shortcode
 */
function ninedok_button_layout1( $all_layouts ) {
	$dir  = NINE_DOK_T_URI . '/aheto/button/previews/';
	$all_layouts['cs_layout1'] = array(
		'title' => esc_html__( '9dok Modern', 'ninedok' ),
		'image' => $dir . 'cs_layout1.jpg',

	);
	$all_layouts['cs_layout2'] = array(
		'title' => esc_html__( '9dok transparent', 'ninedok' ),
		'image' => $dir . 'cs_layout2.jpg',

	);


	return $all_layouts;
}
add_filter( 'aheto_button_all_layouts', 'ninedok_button_layout1', 10, 2 );


/**
 * Ninedok custom post type style for blog items
 */
function ninedok_custom_post_types_shortcode($shortcode) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/custom-post-types/previews/';


	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Slider', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );


	$shortcode->add_dependecy('сs_img_off', 'skin', 'cs_skin-1');
	$shortcode->add_dependecy('сs_date_off', 'skin', 'cs_skin-1');
	$shortcode->add_dependecy('cs_use_date_typo', 'skin', 'cs_skin-2');
	$shortcode->add_dependecy( 'cs_use_excerpt_typo', 'skin', ['cs_skin-3' , 'cs_skin-4' ] );
	$shortcode->add_dependecy( 'cs_excerpt_typo', 'cs_use_excerpt_typo', 'true' );
	$shortcode->add_dependecy( 'cs_date_typo', 'cs_use_date_typo', 'true' );

	$shortcode->add_dependecy('cs_use_author_typo', 'skin', 'cs_skin-1');
	$shortcode->add_dependecy( 'cs_author_typo', 'cs_use_author_typo', 'true' );
	$shortcode->add_dependecy('cs_use_terms_typo', 'skin', ['cs_skin-3' , 'cs_skin-4' ]);
	$shortcode->add_dependecy( 'cs_terms_typo', 'cs_use_terms_typo', 'true' );
	$shortcode->add_dependecy('cs_use_quote_typo', 'skin', 'cs_skin-4');
	$shortcode->add_dependecy( 'cs_quote_typo', 'cs_use_quote_typo', 'true' );

	// CUSTOM SKIN 1

	$aheto_skins      = $shortcode->params['skin']['options'];
	$ninedok_skins = array(
		'cs_skin-1' => '9dok skin 1',
		'cs_skin-2' => '9dok skin 2',
		'cs_skin-3' => '9dok skin 3',
		'cs_skin-4' => '9dok skin 4',
		'cs_skin-5' => '9dok skin 5',
	);

	$shortcode->add_params([
		'сs_img_off' => [
			'type'    => 'switch',
			'heading' => esc_html__('Disable post image?', 'ninedok'),
			'grid'    => 12,
		],
		'сs_date_off' => [
			'type'    => 'switch',
			'heading' => esc_html__('Disable post date?', 'ninedok'),
			'grid'    => 12,
		],
		'cs_use_date_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for Date?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_date_typo' => [
			'type'     => 'typography',
			'group'    => 'Date Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-cpt-article__date',
		],
		'cs_use_excerpt_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for excerpt?', 'ninedok' ),
			'grid'    => 2,
		],

		'cs_excerpt_typo' => [
			'type'     => 'typography',
			'group'    => 'Excerpt Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-cpt-article__excerpt p',
		],
		'cs_use_author_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for author?', 'ninedok' ),
			'grid'    => 2,
		],
		'cs_author_typo' => [
			'type'     => 'typography',
			'group'    => 'Author Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-cpt-article__author',
		],
		'cs_use_terms_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for terms?', 'ninedok' ),
			'grid'    => 2,
		],
		'cs_terms_typo' => [
			'type'     => 'typography',
			'group'    => 'Terms Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-cpt-article__terms a',
		],
		'cs_use_quote_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for quote?', 'ninedok' ),
			'grid'    => 2,
		],
		'cs_quote_typo' => [
			'type'     => 'typography',
			'group'    => 'Quote Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-quote h4',
		],
	]);

	$all_skins                            = array_merge($aheto_skins, $ninedok_skins);
	$shortcode->params['skin']['options'] = $all_skins;


	$shortcode->add_dependecy( 'cs_small_image', 'template', [ 'cs_layout1' ] );

	ninedok_add_dependency( 'skin', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( 'use_heading', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( 'image_height', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( 'title_tag', [ 'cs_layout1' ], $shortcode );


	$shortcode->add_params( [
		'cs_small_image' => [
			'type'    => 'attach_image',
			'heading' => esc_html__( 'Small bottom image', 'ninedok' ),
		],

	] );



	\Aheto\Params::add_image_sizer_params($shortcode, [
		'grup' => 'Image original size background',
		'prefix'         => 'cs_',
		'dependency' => ['template',  ['cs_layout1']]
	]);

	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => [ 'pagination', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );
	\Aheto\Params::add_icon_params($shortcode, [
		'add_icon' => true,
		'group' => 'Content',
		'add_label'  => esc_html__( 'Add icon for Button?', 'ninedok' ),
		'prefix'     => 'cs_',
		'exclude'  => ['align'],
		'dependency'     => [ 'skin', [ 'cs_skin-3' ] ]
	]);
}

function ninedok_cpt_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_date_typo'] ) && ! empty( $shortcode->atts['cs_date_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-cpt-article__date'], $shortcode->parse_typography( $shortcode->atts['cs_use_date_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_quote_typo'] ) && ! empty( $shortcode->atts['cs_quote_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-quote h4'], $shortcode->parse_typography( $shortcode->atts['cs_quote_typo'] ) );
	}

	return $css;
}
function ninedok_cpt_image_sizer_layouts( $image_sizer_layouts ) {

	$image_sizer_layouts[] = 'cs_layout1';

	return $image_sizer_layouts;
}

add_filter( 'aheto_cpt_dynamic_css', 'ninedok_cpt_shortcode_dynamic_css', 10, 2 );
add_filter( 'aheto_cpt_image_sizer_layouts', 'ninedok_cpt_image_sizer_layouts', 10, 2 );


/**
 * Navbar Shortcode
 */

function ninedok_navbar_shortcode( $shortcode ) {

	$theme_dir = NINE_DOK_T_URI . '/aheto/navbar/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );


	ninedok_add_dependency( 'remove_borders', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( ['columns', 'right_links', 'right_hide_mobile'], [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( 'left_links', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( 'left_hide_mobile', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( ['use_links_typo', 'links_typo'], [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( ['use_socials_typo', 'socials_typo'], [ 'cs_layout1' ], $shortcode );

}


/**
 * Contact forms Shortcode
 */
function ninedok_contact_forms_shortcode( $shortcode ) {

	$theme_dir = NINE_DOK_T_URI . '/aheto/contact-forms/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Classic', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );
	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( '9dok Subscribe line', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout2.jpg',
	] );


	ninedok_add_dependency('title', ['cs_layout1'], $shortcode);
	ninedok_add_dependency(['use_title_typo', 'title_typo'], ['cs_layout1'], $shortcode);
	ninedok_add_dependency('border_radius_input', ['cs_layout1', 'cs_layout2'], $shortcode);
	ninedok_add_dependency('border_radius_button', ['cs_layout1', 'cs_layout2'], $shortcode);
	ninedok_add_dependency('bg_color_fields', ['cs_layout1', 'cs_layout2'], $shortcode);
	ninedok_add_dependency('full_width_button', ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy( 'cs_title_tag', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_count_input', 'template', 'cs_layout1' );


	$shortcode->add_params( [

		'cs_title_tag' => [
			'type'    => 'select',
			'heading' => esc_html__( 'Element tag for Title', 'ninedok' ),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h5',
			'grid'    => 5,
		],
		'cs_count_input'    => [
			'type'     => 'select',
			'heading'  => esc_html__( 'Max inputs per row', 'ninedok' ),
			'options'  => [
				'four'       => esc_html__( 'Four', 'ninedok' ),
				'three' => esc_html__( 'Three', 'ninedok' ),
				'two' => esc_html__( 'Two', 'ninedok' ),
			],
			'grid'     => 6,
		],

	] );
}

function ninedok_contact_forms_shortcode_button( $form_button ) {
	$form_button['dependency'][1][] = 'cs_layout1';
	$form_button['dependency'][1][] = 'cs_layout2';
	return $form_button;
}
add_filter( 'aheto_button_contact-forms', 'ninedok_contact_forms_shortcode_button', 10, 2 );


/**
 * Contacts Shortcode
 */

function ninedok_contacts_shortcode( $shortcode ) {
	$dir = NINE_DOK_T_URI . '/aheto/contacts/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Ninedok Slider', 'ninedok' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'ninedok_contacts_group', 'template', 'cs_layout1' );

	ninedok_add_dependency(['use_heading', 't_heading'], ['cs_layout1'], $shortcode);
	ninedok_add_dependency(['use_content', 't_content'], ['cs_layout1'], $shortcode);

	$shortcode->add_params( [
		'ninedok_contacts_group' => [
			'type'    => 'group',
			'heading' => esc_html__( '9dok Contacts', 'ninedok' ),
			'params'  => [
				'cs_heading_tag' => [
					'type'    => 'select',
					'heading' => esc_html__( 'Element tag for Heading', 'ninedok' ),
					'options' => [
						'h1'  => 'h1',
						'h2'  => 'h2',
						'h3'  => 'h3',
						'h4'  => 'h4',
						'h5'  => 'h5',
						'h6'  => 'h6',
						'p'   => 'p',
						'div' => 'div',
					],
					'default' => 'h4',
					'grid'    => 5,
				],
				'cs_heading'   => [
					'type'    => 'text',
					'heading' => esc_html__( 'Heading', 'ninedok' ),
				],
				'cs_address'     => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Address', 'ninedok' ),
				],
				'cs_phone'       => [
					'type'    => 'text',
					'heading' => esc_html__( 'Phone', 'ninedok' ),
				],
				'cs_email'       => [
					'type'    => 'text',
					'heading' => esc_html__( 'Email', 'ninedok' ),
				]
			]
		],
	] );
	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_contacts_',
		'include'        => [ 'arrows', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );
}


/**
 * Features Single Shortcode
 */

function ninedok_features_single_shortcode( $shortcode ) {

	$theme_dir = NINE_DOK_T_URI . '/aheto/features-single/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Minimal', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( '9dok Modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout2.jpg',
	] );

	$shortcode->add_layout( 'cs_layout3', [
		'title' => esc_html__( '9dok Simple', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout3.jpg',
	] );

	$shortcode->add_dependecy( 'cs_overlay', 'template', ['cs_layout2'] );
	$shortcode->add_dependecy( 'cs_overlay_icon', 'template', ['cs_layout3'] );
	$shortcode->add_dependecy( 'cs_align', 'template', ['cs_layout3'] );

	ninedok_add_dependency('s_image', ['cs_layout1', 'cs_layout2', 'cs_layout3'], $shortcode);
	ninedok_add_dependency('s_heading', ['cs_layout1', 'cs_layout2', 'cs_layout3'], $shortcode);
	ninedok_add_dependency('s_description', ['cs_layout1', 'cs_layout2', 'cs_layout3'], $shortcode);
	ninedok_add_dependency(['use_heading', 't_heading'],  ['cs_layout1', 'cs_layout2', 'cs_layout3'], $shortcode);
	ninedok_add_dependency(['use_description', 't_description'], ['cs_layout1', 'cs_layout2', 'cs_layout3'], $shortcode);

	$shortcode->add_params( [
		'cs_overlay' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Overlay color', 'ninedok' ),
			'grid'      => 6,
			'default'   => 'transparent',
			'selectors' => [
				'{{WRAPPER}} .aheto-content-block__overlay' => 'background: {{VALUE}}',
			],
		],
		'cs_overlay_icon' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Overlay color', 'ninedok' ),
			'grid'      => 6,
			'default'   => 'transparent',
			'selectors' => [
				'{{WRAPPER}} .aheto-content-block__image-wrap' => 'background: {{VALUE}}',
			],
		],
		'cs_align' => [
			'type'    => 'select',
			'heading' => esc_html__('Align', 'ninedok'),
			'options' => Helper::choices_alignment(),
		],
	] );
	\Aheto\Params::add_image_sizer_params($shortcode, [
		'prefix'         => 'cs_',
		'dependency' => ['template',  ['cs_layout1', 'cs_layout2', 'cs_layout3']]
	]);
	\Aheto\Params::add_button_params( $shortcode, [
		'add_butun' => true,
		'prefix'     => 'cs_',
		'dependency' => [ 'template', [ 'cs_layout2', 'cs_layout3' ] ]
	] );

}
function ninedok_features_single_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_overlay'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_overlay'] );
		$css['global']['%1$s .aheto-content-block__overlay']['background'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_overlay_icon'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_overlay_icon'] );
		$css['global']['%1$s .aheto-content-block__image-wrap']['background'] = $color;
	}

	return $css;
}

add_filter( 'aheto_features_single_dynamic_css', 'ninedok_features_single_shortcode_dynamic_css', 10, 2 );


/**
 * Ninedok Banner Slider
 */

function ninedok_banner_slider_shortcode( $shortcode ) {

	$theme_dir = NINE_DOK_T_URI . '/aheto/banner-slider/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );


	$shortcode->add_dependecy( 'ninedok_modern_banners', 'template', ['cs_layout1'] );
	$shortcode->add_dependecy( 'cs_use_heading', 'template', ['cs_layout1'] );
	$shortcode->add_dependecy( 'cs_t_heading', 'cs_use_heading', 'true' );
	$shortcode->add_dependecy( 'cs_use_description', 'template', ['cs_layout1'] );
	$shortcode->add_dependecy( 'cs_t_description', 'cs_use_description', 'true' );
	$shortcode->add_dependecy( 'cs_use_sub_title', 'template', ['cs_layout1'] );
	$shortcode->add_dependecy( 'cs_t_sub_title', 'cs_use_sub_title', 'true' );
	

	$shortcode->add_params( [
		'ninedok_modern_banners' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Banners', 'ninedok' ),
			'params'  => [
				'cs_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Background Image', 'ninedok' ),
				],
				'cs_title_tag'    => [
					'type'    => 'select',
					'heading' => esc_html__( 'Element tag for title', 'aheto' ),
					'options' => [
						'h1'  => 'h1',
						'h2'  => 'h2',
						'h3'  => 'h3',
						'h4'  => 'h4',
						'h5'  => 'h5',
						'h6'  => 'h6',
						'p'   => 'p',
						'div' => 'div',
					],
					'default'    => 'div',
					'grid'    => 6,
				],
				'cs_subtitle'          => [
					'type'        => 'textarea',
					'heading'     => esc_html__( 'Subtitle', 'ninedok' ),
					'description' => esc_html__( 'Add some text for Subtitle', 'ninedok' ),
					'admin_label' => true,
					'default'     => esc_html__( 'Add some text for Subtitle', 'ninedok' ),
				],
				'cs_title'         => [
					'type'    => 'text',
					'heading' => esc_html__( 'Heading', 'ninedok' ),
				],
				'cs_desc'          => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Description', 'ninedok' ),
				],
				'cs_align' => [
					'type'    => 'select',
					'heading' => esc_html__('Align', 'ninedok'),
					'options' => Helper::choices_alignment(),
				],
				'cs_overlay' => [
					'type'      => 'colorpicker',
					'heading'   => esc_html__( 'Overlay color', 'ninedok' ),
					'grid'      => 6,
					'default'   => 'transparent',
					'selectors' => [
						'{{WRAPPER}} .aheto-banner-slider__overlay' => 'background: {{VALUE}}',
					],
				],
				'cs_add_image' => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Additional Image', 'ninedok' ),
				],
			]
		],
		'cs_use_heading' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for heading?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_t_heading'   => [
			'type'     => 'typography',
			'group'    => 'Heading Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-banner__title',
		],
		'cs_use_description' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for description?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_t_description'   => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-banner-slider__desc',
		],
		'cs_use_sub_title' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for sub title?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_t_sub_title'   => [
			'type'     => 'typography',
			'group'    => 'Sub title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-banner__subtitle',
		],
	] );

	\Aheto\Params::add_image_sizer_params($shortcode, [
		'group'      => esc_html__( 'Size for additional image', 'ninedok' ),
		'prefix'         => 'cs_',
		'dependency' => ['template',  ['cs_layout1']]
	]);
	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => [ 'effect', 'speed', 'loop', 'autoplay', 'arrows', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );

}
function ninedok_banner_slider_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_overlay'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_overlay'] );
		$css['global']['%1$s .aheto-banner-slider__overlay']['background'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_use_heading'] ) && ! empty( $shortcode->atts['cs_t_heading'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-banner__title'], $shortcode->parse_typography( $shortcode->atts['cs_t_heading'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_description'] ) && ! empty( $shortcode->atts['cs_t_description'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-banner-slider__desc'], $shortcode->parse_typography( $shortcode->atts['cs_t_description'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_sub_title'] ) && ! empty( $shortcode->atts['cs_t_sub_title'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-banner__subtitle'], $shortcode->parse_typography( $shortcode->atts['cs_t_sub_title'] ) );
	}
	return $css;
}

add_filter( 'aheto_banner_slider_dynamic_css', 'ninedok_banner_slider_shortcode_dynamic_css', 10, 2 );

/**
 * Pricing Tables Shortcode
 */

function ninedok_pricing_tables_shortcode( $shortcode ) {

	$theme_dir = NINE_DOK_T_URI . '/aheto/pricing-tables/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );
	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( '9dok Isotope', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout2.jpg',
	] );
	$shortcode->add_layout( 'cs_layout3', [
		'title' => esc_html__( '9dok Minimal', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout3.jpg',
	] );


	$shortcode->add_dependecy( 'cs_heading', 'template', [ 'cs_layout1' , 'cs_layout3' ] );
	$shortcode->add_dependecy( 'cs_active', 'template', ['cs_layout1', 'cs_layout3' ] );
	$shortcode->add_dependecy( 'cs_features', 'template',[ 'cs_layout1', 'cs_layout3'  ] );
	$shortcode->add_dependecy( 'cs_use_heading_typo', 'template', ['cs_layout3'] );
	$shortcode->add_dependecy('cs_pricings', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_box_shadow', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_background', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_border', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_background_pricing', 'template', 'cs_layout2');
	$shortcode->add_dependecy( 'cs_use_price_typo', 'template', ['cs_layout1','cs_layout3'] );
	$shortcode->add_dependecy( 'cs_use_description_typo', 'template', ['cs_layout3'] );
	$shortcode->add_dependecy( 'cs_price_typo', 'cs_use_price_typo', 'true' );
	$shortcode->add_dependecy( 'cs_heading_typo', 'cs_use_heading_typo', 'true' );
	$shortcode->add_dependecy( 'cs_description_typo', 'cs_use_description_typo', 'true' );
	$shortcode->add_dependecy( 'cs_use_lable_typo', 'template', ['cs_layout2'] );
	$shortcode->add_dependecy( 'cs_lable_typo', 'cs_use_lable_typo', 'true' );

	ninedok_add_dependency('price', ['cs_layout1', 'cs_layout3'], $shortcode);
	ninedok_add_dependency('description', ['cs_layout1', 'cs_layout3'], $shortcode);




	$shortcode->add_params( [
		'cs_heading'    => [
			'type'        => 'text',
			'heading'     => esc_html__( 'Heading', 'ninedok' ),
			'description' => esc_html__( 'To Hightlight text insert text between: [[ Your Text Here ]]', 'ninedok' ),
			'default'     => esc_html__( 'Heading with [[ hightlight ]] text.', 'ninedok' ),
			'admin_label' => true,
		],
		'cs_heading_typo' => [
			'type'     => 'typography',
			'group'    => 'Title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__title',
		],

		'cs_use_price_typo'     => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for Price?', 'ninedok' ),
			'grid'    => 12,
		],
		'cs_price_typo' => [
			'type'     => 'typography',
			'group'    => 'Price Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__cost-value',
		],
		'cs_use_lable_typo'     => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for Lable?', 'ninedok' ),
			'grid'    => 12,
		],
		'cs_lable_typo' => [
			'type'     => 'typography',
			'group'    => 'Lable Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__box-title span ',
		],
		'cs_active'     => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Mark as active?', 'ninedok' ),
			'grid'    => 12,
		],
		'cs_use_heading_typo'     => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for heading?', 'ninedok' ),
			'grid'    => 12,
		],
		'cs_background_pricing' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Background color pricing', 'ninedok' ),
			'grid'      => 6,
			'default'   => '#fff',
			'selectors' => [
				'{{WRAPPER}} .aheto-pricing__box' => 'background: {{VALUE}}',
			],
		],
		'cs_features'          => [
			'type'    => 'group',
			'heading' => esc_html__('Features', 'ninedok'),
			'params'  => [
				'cs_feature' => [
					'type'    => 'text',
					'heading' => esc_html__('Feature', 'ninedok'),
				],
				'cs_mark' => [
					'type'    => 'select',
					'heading' => esc_html__('Decoration', 'ninedok'),
					'default' => 'default',
					'options' => [
						'default'   => esc_html__('Default', 'ninedok'),
						'line-through'   => esc_html__('Line-through', 'ninedok'),
						'opacity'   => esc_html__('Opacity', 'ninedok'),
					],
				],
			],
		],
		'cs_box_shadow' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Enable box shadow?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_pricings' => [
			'type'    => 'group',
			'heading' => esc_html__( '9dok Pricing Items', 'ninedok' ),
			'params'  => [
				'cs_pricings_heading'        => [
					'type'    => 'text',
					'heading' => esc_html__( 'Category', 'ninedok' ),
					'default' => esc_html__( 'Put your text...', 'ninedok' ),
				],
				'cs_pricings_title'        => [
					'type'    => 'text',
					'heading' => esc_html__( 'Category heading', 'ninedok' ),
					'default' => esc_html__( 'Put your text...', 'ninedok' ),
				],
				'cs_pricings_label'        => [
					'type'    => 'text',
					'heading' => esc_html__( 'Category label', 'ninedok' ),
					'default' => esc_html__( '', 'ninedok' ),
				],
				'cs_pricings_price'        => [
					'type'    => 'text',
					'heading' => esc_html__( 'Category price', 'ninedok' ),
					'default' => esc_html__( 'Put your text...', 'ninedok' ),
				],
				'cs_pricings_descr'        => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Category description', 'ninedok' ),
					'default' => esc_html__( 'Put your text...', 'ninedok' ),
				],


			],
		],

	] );



	\Aheto\Params::add_button_params( $shortcode, [
		'add_button' => true,
		'prefix'     => 'cs_narrow_',
		'dependency' => [ 'template', 'cs_layout3' ]
	] );

}
function ninedok_pricing_tables_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_description_typo'] ) && ! empty( $shortcode->atts['cs_heading_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-pricing__title'], $shortcode->parse_typography( $shortcode->atts['cs_heading_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_background_pricing'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_background_pricing'] );
		$css['global']['%1$s .aheto-pricing__box']['color'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_use_price_typo'] ) && ! empty( $shortcode->atts['cs_price_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-pricing__cost-value'], $shortcode->parse_typography( $shortcode->atts['cs_price_typo'] ) );
	}
	return $css;
}

add_filter( 'aheto_pricing_tables_dynamic_css', 'ninedok_pricing_tables_shortcode_dynamic_css', 10, 2 );

/**
 * Progres bar
 */
function ninedok_progress_bar_shortcode($shortcode) {
	$dir = NINE_DOK_T_URI . '/aheto/progress-bar/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Inline Progress Bar', 'ninedok' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );


	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( '9dok Modern Progress Bar', 'ninedok' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );


	$shortcode->add_dependecy( 'cs_text_color', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_line_color', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_active_color', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_heading_typo', 'template', ['cs_layout1' ,'cs_layout2'] );
	$shortcode->add_dependecy( 'cs_overlay_icon', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_use_text_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_s_image', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_use_number_typo', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_text_typo', 'cs_use_text_typo', 'true' );
	$shortcode->add_dependecy( 'cs_number_typo', 'cs_use_number_typo', 'true' );
	$shortcode->add_dependecy( 'cs_heading_typo', 'cs_use_heading_typo', 'true' );


	ninedok_add_dependency('heading', ['cs_layout1', 'cs_layout2'], $shortcode);
	ninedok_add_dependency('percentage', ['cs_layout1', 'cs_layout2'], $shortcode);

	$shortcode->add_params([
		'cs_heading_tag'      => [
			'type'    => 'select',
			'heading' => esc_html__( 'Element tag for heading', 'ninedok' ),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h5',
			'grid'    => 5,
		],
		'cs_overlay_icon' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Overlay color', 'ninedok' ),
			'grid'      => 6,
			'default'   => 'transparent',
			'selectors' => [
				'{{WRAPPER}} .aheto-progress__image-wrap' => 'background: {{VALUE}}',
			],
		],
		'cs_use_heading_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for heading?', 'ninedok' ),
			'grid'    => 4,
		],
		'cs_heading_typo' => [
			'type'     => 'typography',
			'group'    => 'Heading Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-counter__heading',
		],
		'cs_use_text_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for percentage?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_text_typo' => [
			'type'     => 'typography',
			'group'    => 'Percentage Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-progress__title, {{WRAPPER}} .aheto-progress__bar-perc',
		],
		'cs_line_color'   => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Line color', 'ninedok' ),
			'grid'      => 6,
			'default'   => '#fff',
			'selectors' => [
				'{{WRAPPER}} .aheto-progress__bar' => 'background: {{VALUE}}',
			],
		],
		'cs_active_color' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Active line color', 'ninedok' ),
			'grid'      => 6,
			'default'   => '#fff',
			'selectors' => [
				'{{WRAPPER}} .aheto-progress__bar-val'         => 'background: {{VALUE}}',
				'{{WRAPPER}} .aheto-progress__bar-val::before' => 'background: {{VALUE}}',
			],
		],
		'cs_use_number_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for numbers?', 'ninedok' ),
			'grid'    => 4,
		],
		'cs_number_typo' => [
			'type'     => 'typography',
			'group'    => 'Numbers Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-counter__number',
		],
		'cs_s_image'         => [
			'type'    => 'attach_image',
			'heading' => esc_html__('Image', 'ninedok'),
		],
	]);
	\Aheto\Params::add_image_sizer_params($shortcode, [
		'prefix'         => 'cs_',
		'dependency' => ['template',  ['cs_layout2']]
	]);

}

function ninedok_progress_bar_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_overlay_icon'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_overlay_icon'] );
		$css['global']['%1$s .aheto-progress__image-wrap']['color'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_use_heading_typo'] ) && ! empty( $shortcode->atts['cs_heading_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-progress__title'], $shortcode->parse_typography( $shortcode->atts['cs_heading_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_text_typo'] ) && ! empty( $shortcode->atts['cs_text_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-counter__heading'], $shortcode->parse_typography( $shortcode->atts['cs_text_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_text_typo'] ) && ! empty( $shortcode->atts['cs_text_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-progress__title'], $shortcode->parse_typography( $shortcode->atts['cs_text_typo'] ) );
		\aheto_add_props( $css['global']['%1$s .aheto-progress__bar-perc'], $shortcode->parse_typography( $shortcode->atts['cs_text_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_active_color'] ) ) {
		$color                                                                = Sanitize::color( $shortcode->atts['cs_active_color'] );
		$css['global']['%1$s .aheto-progress__bar-val']['background']         = $color;
		$css['global']['%1$s .aheto-progress__bar-val::before']['background'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_use_number_typo'] ) && ! empty( $shortcode->atts['cs_number_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-counter__number'], $shortcode->parse_typography( $shortcode->atts['cs_number_typo'] ) );
	}


	return $css;
}

add_filter( 'aheto_progress_bar_dynamic_css', 'ninedok_progress_bar_shortcode_dynamic_css', 10, 2 );


/**
 * Video Button
 */
function ninedok_video_btn_shortcode( $shortcode ) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/video-btn/previews/';
	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );
}

/**
 * Social Networks
 */
function ninedok_social_networks_shortcode( $shortcode ) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/social-networks/previews/';
	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'cs_hovercolor', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'socials_align_tablet', 'template', 'cs_layout1' );
	$shortcode->add_dependecy('cs_use_link_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_link_typo', 'cs_use_link_typo', 'true');

	$shortcode->depedency['networks']['template'][]          = 'cs_layout1';
	$shortcode->depedency['socials_align_mob']['template'][] = 'cs_layout1';
	$shortcode->depedency['socials_align']['template'][]     = 'cs_layout1';

	$shortcode->add_params( [
		'socials_align_tablet'      => [
			'type'    => 'select',
			'heading' => esc_html__('Socials align on tablet', 'ninedok'),
			'grid'      => 6,
			'options' => [
				'left'   => esc_html__('Left', 'ninedok'),
				'right' => esc_html__('Right', 'ninedok'),
				'center' => esc_html__('Center', 'ninedok'),
				'justify' => esc_html__('Justify', 'ninedok'),
			],
		],
		'cs_hovercolor'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Color on hover', 'ninedok' ),
			'grid'      => 6,
			'selectors' => [ '{{WRAPPER}} .aheto-socials__link:hover' => 'color: {{VALUE}}' ],
		],
		'cs_use_link_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Link?', 'ninedok'),
			'grid'    => 3,
		],
		'cs_link_typo'     => [
			'type'     => 'typography',
			'group'    => 'Link Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-socials__link',
		],

	] );
}

function ninedok_social_networks_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_color'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_color'] );
		$css['global']['%1$s .aheto-socials__link']['color'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_hovercolor'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_hovercolor'] );
		$css['global']['%1$s .aheto-socials__link:hover']['color'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_use_link_typo'] ) && ! empty( $shortcode->atts['cs_link_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-socials__link'], $shortcode->parse_typography( $shortcode->atts['cs_link_typo'] ) );
	}
	return $css;
}

add_filter( 'aheto_social_networks_dynamic_css', 'ninedok_social_networks_shortcode_dynamic_css', 10, 2 );


/**
 * Testimonials Shortcode
 */
function ninedok_testimonials_shortcode( $shortcode ) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/testimonials/previews/';
	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Modern', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );
	$shortcode->add_dependecy( 'cs_bg_text', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_testimonials', 'template', [ 'cs_layout1'] );
	$shortcode->add_dependecy( 'cs_dark_version', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_banner_text', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_t_banner_text', 'cs_use_banner_text', 'true' );

	$shortcode->add_params( [
		'cs_dark_version' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Enable dark version?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_bg_text'      => [
			'type'    => 'text',
			'heading' => esc_html__( 'Background text', 'ninedok' ),
			'default' => esc_html__( 'THEY SAY', 'ninedok' ),
		],
		'cs_testimonials' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Modern Testimonials Items', 'ninedok' ),
			'params'  => [
				'cs_image'       => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Display Image', 'ninedok' ),
				],
				'cs_name'        => [
					'type'    => 'text',
					'heading' => esc_html__( 'Name', 'ninedok' ),
					'default' => esc_html__( 'Author name', 'ninedok' ),
				],
				'cs_company'     => [
					'type'    => 'text',
					'heading' => esc_html__( 'Position', 'ninedok' ),
					'default' => esc_html__( 'Author position', 'ninedok' ),
				],
				'cs_testimonial' => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Testimonial', 'ninedok' ),
					'default' => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 'ninedok' ),
				],
			],
		],
		'cs_use_banner_text'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Banner text?', 'ninedok'),
			'grid'    => 6,
		],
		'cs_t_banner_text'       => [
			'type'     => 'typography',
			'group'    => 'Banner text Typography',
			'settings' => [
				'tag' => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__bg-text',
		],
	] );
	\Aheto\Params::add_image_sizer_params($shortcode, [
		'prefix'         => 'cs_',
		'dependency' => ['template',  ['cs_layout1']]
	]);
	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'include'        => [ 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
		'prefix'         => 'cs_swiper_',
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );
}
function ninedok_testimonials_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_banner_text'] ) && ! empty( $shortcode->atts['cs_t_banner_text'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-tm__bg-text'], $shortcode->parse_typography( $shortcode->atts['cs_use_banner_text'] ) );
	}
	return $css;
}

add_filter( 'aheto_testimonials_dynamic_css', 'ninedok_testimonials_shortcode_dynamic_css', 10, 2 );

/**
 * Team Member Shortcode
 */
function ninedok_team_member_shortcode($shortcode) {
	$dir = NINE_DOK_T_URI . '/aheto/team-member/previews/';

	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('9dok Team Member', 'ninedok'),
		'image' => $dir . 'cs_layout1.jpg',
	]);

	ninedok_add_dependency('image', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('name', ['cs_layout1'], $shortcode);
	ninedok_add_dependency('designation', ['cs_layout1'], $shortcode);


	$shortcode->add_dependecy('cs_use_title_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_title_typo', 'cs_use_title_typo', 'true');
	$shortcode->add_dependecy('cs_use_position_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_position_typo', 'cs_use_position_typo', 'true');

	$shortcode->add_params([
		'cs_use_title_typo'    => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for name?', 'ninedok'),
			'grid'    => 3,
		],
		'cs_title_typo'        => [
			'type'     => 'typography',
			'group'    => 'Name Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-team-member__name',
		],
		'cs_use_position_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Designation?', 'ninedok'),
			'grid'    => 3,
		],
		'cs_position_typo'     => [
			'type'     => 'typography',
			'group'    => 'Position Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-team-member__position',
		],

	]);

	\Aheto\Params::add_image_sizer_params($shortcode, [
		'prefix'         => 'cs_',
		'dependency' => ['template',  ['cs_layout1']]
	]);

}
function ninedok_team_member_shortcode_dynamic_css( $css, $shortcode ) {
	if ( ! empty( $shortcode->atts['cs_use_title_typo'] ) && ! empty( $shortcode->atts['cs_title_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-team-member__name'], $shortcode->parse_typography( $shortcode->atts['cs_title_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_position_typo'] ) && ! empty( $shortcode->atts['cs_position_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-team-member__position'], $shortcode->parse_typography( $shortcode->atts['cs_position_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_team_member_dynamic_css', 'ninedok_team_member_shortcode_dynamic_css', 10, 2 );


/**
 * Contents Shortcode
 */
function ninedok_contents_shortcode( $shortcode ) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/contents/previews/';
	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( '9dok Faq', 'ninedok' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );
	ninedok_add_dependency( 'faqs', [ 'cs_layout1' ], $shortcode );
	ninedok_add_dependency( 'first_is_opened', [ 'cs_layout1' ], $shortcode );

	$shortcode->add_dependecy('cs_use_text_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_size', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_color', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_text_typo', 'cs_use_text_typo', 'true');

	$shortcode->add_params([
		'cs_use_text_typo'    => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for content?', 'ninedok'),
			'grid'    => 3,
		],
		'cs_text_typo'        => [
			'type'     => 'typography',
			'group'    => 'Content Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-contents__desc',
		],
		'cs_size'     => [
			'type'      => 'text',
			'heading'   => esc_html__( 'Size icon', 'ninedok' ),
			'grid'      => 6,
			'selectors' => [ '{{WRAPPER}} .aheto-contents__title i' => 'font-size: {{VALUE}}px' ],
			'description' => esc_html__( 'Set font size for icons. (Just write the number)', 'aheto' ),
		],
		'cs_color'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Color icon', 'ninedok' ),
			'grid'      => 6,
			'selectors' => [
				'{{WRAPPER}} .aheto-contents__title i' => 'color: {{VALUE}}'
			],
		],

	]);

}

function ninedok_contents_shortcode_dynamic_css( $css, $shortcode ) {
	if ( ! empty( $shortcode->atts['cs_use_title_typo'] ) && ! empty( $shortcode->atts['cs_title_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-contents__desc'], $shortcode->parse_typography( $shortcode->atts['cs_title_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_size'] ) ) {
		$size = Sanitize::size( $shortcode->atts['cs_size'] );
		$css['global']['%1$s .aheto-contents__title i']['size'] = $size;
	}
	if ( ! empty( $shortcode->atts['cs_color'] ) ) {
		$color = Sanitize::color( $shortcode->atts['cs_color'] );
		$css['global']['%1$s .aheto-list--row .aheto-contents__title i']['color'] = $color;
	}
	return $css;
}

add_filter( 'aheto_contents_dynamic_css', 'ninedok_contents_shortcode_dynamic_css', 10, 2 );

/**
 * List Shortcode
 */

function ninedok_list_shortcode($shortcode) {
	$theme_dir = NINE_DOK_T_URI . '/aheto/list/previews/';


	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('9dok Table List', 'ninedok'),
		'image' => $theme_dir . 'cs_layout1.jpg',
	]);
	$shortcode->add_layout('cs_layout2', [
		'title' => esc_html__('9dok Bullets', 'ninedok'),
		'image' => $theme_dir . 'cs_layout2.jpg',
	]);



	$shortcode->add_dependecy('cs_first_column', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_second_column', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_third_column', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_background', 'template', 'cs_layout1');
	$shortcode->add_dependecy( 'cs_use_list-item_typo', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_list-item_typo', 'cs_use_list-item_typo', 'true' );
	$shortcode->add_dependecy( 'cs_color', 'template', 'cs_layout2' );
	ninedok_add_dependency( 'lists', [ 'cs_layout2' ], $shortcode );

	$shortcode->add_params([
		'cs_first_column'  => [
			'type'    => 'text',
			'heading' => esc_html__('First Column Title', 'ninedok'),
		],
		'cs_second_column' => [
			'type'    => 'text',
			'heading' => esc_html__('Second Column Title', 'ninedok'),
		],
		'cs_third_column'  => [
			'type'    => 'text',
			'heading' => esc_html__('Third Column Title', 'ninedok'),
		],
		'cs_table_lists'   => [
			'type'    => 'group',
			'heading' => esc_html__('Table Lists', 'ninedok'),
			'params'  => [
				'cs_first_item'  => [
					'type'    => 'text',
					'heading' => esc_html__('First Item Text', 'ninedok'),
				],
				'cs_second_item' => [
					'type'    => 'text',
					'heading' => esc_html__('Second Item Text', 'ninedok'),
				],
				'cs_third_item'  => [
					'type'    => 'text',
					'heading' => esc_html__('Third Item Text', 'ninedok'),
				],
			],
		],
		'cs_background'    => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__('Background color', 'ninedok'),
			'grid'      => 6,
			'selectors' => ['{{WRAPPER}} .aheto-list--row .aheto-list--column' => 'background: {{VALUE}}'],
		],
		'cs_use_list-item_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for List?', 'ninedok' ),
			'grid'    => 3,
		],
		'cs_list-item_typo' => [
			'type'     => 'typography',
			'group'    => 'List Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-list--bullets-ninedok li',
		],
		'cs_color'       => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__('Color Bullet', 'ninedok'),
			'grid'      => 6,
			'selectors' => [
				'{{WRAPPER}} .aheto-list--bullets li::before'         => 'background-color: {{VALUE}}',
				'{{WRAPPER}} .aheto-list--number[data-index]::before' => 'color: {{VALUE}}',
				'{{WRAPPER}} .aheto-list--bullets li::after'         => 'background-color: {{VALUE}}',
				'{{WRAPPER}} .aheto-list--number[data-index]::after' => 'color: {{VALUE}}',
			],
		],
	]);

	\Aheto\Params::add_button_params($shortcode, [
		'prefix'     => 'cs_main_',
		'add_button' => true,
	], 'cs_table_lists');

}

function ninedok_list_shortcode_dynamic_css( $css, $shortcode ) {
	if ( ! empty( $shortcode->atts['cs_background'] ) ) {
		$color                                                    = Sanitize::color( $shortcode->atts['cs_background'] );
		$css['global']['%1$s .aheto-list--row .aheto-list--column']['color'] = $color;
	}
	if ( ! empty( $shortcode->atts['cs_use_list-item_typo'] ) && ! empty( $shortcode->atts['cs_description_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-list--bullets-ninedok li'], $shortcode->parse_typography( $shortcode->atts['cs_description_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_color'] ) ) {
		$color = Sanitize::color( $shortcode->atts['cs_color'] );
		$css['global']['%1$s .aheto-list--bullets li::before']['background-color'] = $color;
		$css['global']['%1$s .aheto-list--number[data-index]::before']['color'] = $color;
		$css['global']['%1$s .aheto-list--bullets li::after']['background-color'] = $color;
		$css['global']['%1$s .aheto-list--number[data-index]::after']['color'] = $color;
	}

	return $css;
}

add_filter( 'aheto_list_dynamic_css', 'ninedok_list_shortcode_dynamic_css', 10, 2 );

/**
 * Aheto dependency
 */

function ninedok_add_dependency($id = '', $args = array(), $shortcode = ''){

	if ( is_array( $id ) ) {

		foreach ( $id as $slug ) {
			$param = (array)$shortcode->depedency[$slug]['template'];
			$shortcode->depedency[$slug]['template'] = array_merge($args, $param );
		}

	} else {
		$param = (array)$shortcode->depedency[$id]['template'];
		$shortcode->depedency[$id]['template'] = array_merge($args, $param );
	}

	return;
}
